org.apache.catalina.ha.backend

## Class HeartbeatListener

- java.lang.Object
- - org.apache.catalina.ha.backend.HeartbeatListener

- All Implemented Interfaces:
    ContainerListener, LifecycleListener

      public class HeartbeatListener
      extends Object
      implements LifecycleListener, ContainerListener

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HeartbeatListener()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `containerEvent(ContainerEvent event)` Acknowledge the occurrence of the specified event.
    `String` | `getGroup()`
    `String` | `getHost()`
    `int` | `getMultiport()`
    `String` | `getProxyList()`
    `String` | `getProxyURL()`
    `int` | `getTtl()`
    `void` | `lifecycleEvent(LifecycleEvent event)` Acknowledge the occurrence of the specified event.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HeartbeatListener

          public HeartbeatListener()

  - ### Method Detail

    - #### getHost

          public String getHost()

    - #### getGroup

          public String getGroup()

    - #### getMultiport

          public int getMultiport()

    - #### getTtl

          public int getTtl()

    - #### getProxyList

          public String getProxyList()

    - #### getProxyURL

          public String getProxyURL()

    - #### containerEvent

          public void containerEvent(ContainerEvent event)

      Description copied from interface: `ContainerListener`
      Acknowledge the occurrence of the specified event.
      Specified by:
        `containerEvent` in interface `ContainerListener`
      Parameters:
        `event` - ContainerEvent that has occurred

    - #### lifecycleEvent

          public void lifecycleEvent(LifecycleEvent event)

      Description copied from interface: `LifecycleListener`
      Acknowledge the occurrence of the specified event.
      Specified by:
        `lifecycleEvent` in interface `LifecycleListener`
      Parameters:
        `event` - LifecycleEvent that has occurred

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.